/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#include "config.h"
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <stdint.h>
#include <stdio.h>
#include <ezV24/ezV24.h>
#include "putfile.h"
#include "interface.h"
#include "getfile.h"

void client_done_get (obex_t *handle, obex_object_t *object,
		      int obex_rsp, char *name) {
  obex_headerdata_t hv;
  uint8_t hi;
  gint hlen;
  const uint8_t *body = NULL;
  gint body_len = 0;

  if (obex_rsp == OBEX_RSP_SUCCESS) {
    while (OBEX_ObjectGetNextHeader (handle, object, &hi, &hv, &hlen)) {
      if (hi == OBEX_HDR_BODY) {
	body = hv.bs;
	body_len = hlen;
	break;
      }
    }

    if (!body) {
      printf ("No body found in answer!\n");
    }	
    else {
      printf ("GET successful!\n");
      save_obex_file (name, body, body_len);
    }
  }	
  else {
    printf ("GET failed 0x%02x!\n", obex_rsp);
    errorDialog ("getting file failed!");
  }
}

gint getFile (obex_t *handle, struct context *gt, gchar *name) {
  gint namelen;
  gchar rname[200];
  obex_object_t *object;
  obex_headerdata_t hd;	

  /* Create our new object */
  if (!(object = OBEX_ObjectNew (handle, OBEX_CMD_GET))) {
    fprintf (stderr,"Can't create an obexobject\n");
    return 0;
  }

  namelen = OBEX_CharToUnicode (rname, name, sizeof(rname));
  hd.bs = rname;

  OBEX_ObjectAddHeader (handle, object, OBEX_HDR_NAME, hd, namelen, OBEX_FL_FIT_ONE_PACKET);

  gt->get_name = name;
  OBEX_Request (handle, object);
  syncwait (handle);

  return 1;
}
