/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef __OBEX_MISC_H__
#define __OBEX_MISC_H__

#include <gtk/gtk.h>
#include <openobex/obex.h>
#include <termios.h>
#include "tsemgr.h"

struct context {
  int serverdone;
  int clientdone;
  char *get_name;	/* Name of last get-request */
};

void save_obex_file (gchar *name, const uint8_t *buf, gint len);
gint get_filesize (const gchar *filename);
uint8_t* easy_readfile (const gchar *filename, gint *file_size);
gint t68_connect (obex_t *handle);
gint t68_disconnect (obex_t *handle);
void obex_event (obex_t *handle, obex_object_t *object, gint mode, gint event, gint obex_cmd, gint obex_rsp);
void client_done (obex_t *handle, obex_object_t *object, gint obex_cmd, gint obex_rsp);
void syncwait (obex_t *handle);

#endif
