/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#include "config.h"
#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>
#include "putfile.h"
#include "obex_misc.h"

gint sendFile (obex_t *handle, gchar *filename, gchar *name) {
  obex_object_t *object;
  guint rname_size;
  obex_headerdata_t hd;
  uint8_t *buf;
  gint file_size;

  buf = easy_readfile (filename, &file_size);
  if (buf == NULL)
    return 0;

  //  printf ("Going to send %d bytes\n", file_size);

  /* Build object */
  object = OBEX_ObjectNew (handle, OBEX_CMD_PUT);
  
  hd.bq4 = file_size;
  OBEX_ObjectAddHeader (handle, object, OBEX_HDR_LENGTH, hd, 4, 0);

  //  hd.bs = malloc ((strlen (name) * 2) + 2);
  rname_size = OBEX_CharToUnicode (name, name, (strlen (name) * 2) + 2);
  hd.bs = name;
  OBEX_ObjectAddHeader (handle, object, OBEX_HDR_NAME, hd, rname_size, 0);

  hd.bs = buf;
  OBEX_ObjectAddHeader (handle, object, OBEX_HDR_BODY, hd, file_size, 0);

  free (buf);

  OBEX_Request (handle, object);
  syncwait (handle);

  return 1;
}
