/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#include <gtk/gtk.h>
//#include <ezV24/ezV24.h>
#include "config.h"
#include "tsemgr.h"
#include "callbacks.h"
#include "phonebook.h"
#include "interface.h"
#include "sms.h"
#include "misc.h"

int main (int argc, char *argv[]) {
  GtkWidget *mynotebook;
  gchar *title;
   
  gtk_set_locale ();
  gtk_init (&argc, &argv);
  config_base_dir = check_base_config_dir ();
  load_config_file ();

  mainwindow = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  title = g_strdup_printf ("tsemgr-%s", PACKAGE_VERSION);
  gtk_window_set_title (GTK_WINDOW (mainwindow), title);
  gtk_signal_connect (GTK_OBJECT (mainwindow), "delete_event",
		      GTK_SIGNAL_FUNC (destroy), NULL);
  gtk_signal_connect (GTK_OBJECT (mainwindow), "destroy",
		      GTK_SIGNAL_FUNC (destroy), NULL);
  gtk_container_set_border_width (GTK_CONTAINER (mainwindow), 10);

  gtk_widget_show  (mainwindow);
  mynotebook = createTabs ();
  gtk_container_add (GTK_CONTAINER (mainwindow), mynotebook);

  gtk_widget_show  (mynotebook);
  gtk_window_set_position (GTK_WINDOW (mainwindow), GTK_WIN_POS_CENTER);

  //  phoneproperties = store_properties ();
    
  gtk_timeout_add (100, timeout, NULL);

  gtk_main ();

  g_free (title);
  if (config_base_dir != NULL)
    g_free (config_base_dir);
  return 0;
}
